NX Open C++ Reference Guide
|
Represents a datum plane feature builder. More...
Public Member Functions | |
NXOpen::DatumPlane * | GetDatum () |
The datum display object this is the feature output. | |
NXOpen::Plane * | GetPlane () |
The plane is use to create the feature. | |
bool | OffsetInstance () |
Returns the offset instance plane flag Created in NX8.5.0. | |
bool | ResizeDuringUpdate () |
Returns the resize during update Created in NX8.0.0. | |
void | SetCornerPoints (const NXOpen::Point3d &corner1, const NXOpen::Point3d &corner2, const NXOpen::Point3d &corner3, const NXOpen::Point3d &corner4) |
Sets corner points to builder Created in NX7.5.0. | |
void | SetFaceAndOffset (NXOpen::Face *face, double offsetValue, const NXString &expression) |
Sets one face object and offset Created in NX3.0.0. | |
void | SetFaceAndOffset (NXOpen::Face *face, double offsetValue, const char *expression) |
Sets one face object and offset Created in NX3.0.0. | |
void | SetFixedDatumPlane (NXOpen::Features::DatumPlaneBuilder::FixedType type) |
Sets type of fixed datum plane. | |
void | SetGeometryAndConstraints (NXOpen::DisplayableObject *geometry1, NXOpen::Features::DatumPlaneBuilder::ConstraintType geometryConstraintType1, int constraintAttribute1, double constraintValue1, const NXString &constraint1, NXOpen::DisplayableObject *geometry2, NXOpen::Features::DatumPlaneBuilder::ConstraintType geometryConstraintType2, int constraintAttribute2, double constraintValue2, const NXString &constraint2) |
Sets two different geometric objects. | |
void | SetGeometryAndConstraints (NXOpen::DisplayableObject *geometry1, NXOpen::Features::DatumPlaneBuilder::ConstraintType geometryConstraintType1, int constraintAttribute1, double constraintValue1, const char *constraint1, NXOpen::DisplayableObject *geometry2, NXOpen::Features::DatumPlaneBuilder::ConstraintType geometryConstraintType2, int constraintAttribute2, double constraintValue2, const char *constraint2) |
Sets two different geometric objects. | |
void | SetOffsetInstance (bool offsetInstance) |
Sets the offset instance plane flag Created in NX8.5.0. | |
void | SetPointAndDirection (NXOpen::Point *point, NXOpen::Direction *direction) |
Sets point and direction Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumPlaneBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve) |
Sets curve or edge and arc length Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumPlaneBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve) |
Sets curve or edge and arc length Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumPlaneBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::Direction *direction) |
Sets curve or edge and arc length Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumPlaneBuilder::AlternateSolution alternateSolution, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::Direction *direction) |
Sets curve or edge and arc length Created in NX3.0.0. | |
void | SetPointOnCurve (double arcLength, const NXString &constraint, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::DisplayableObject *secondGeometry) |
Sets curve or edge object and arc length with other geometry selected. | |
void | SetPointOnCurve (double arcLength, const char *constraint, NXOpen::Features::DatumPlaneBuilder::CurveOption option, NXOpen::ICurve *curve, NXOpen::DisplayableObject *secondGeometry) |
Sets curve or edge object and arc length with other geometry selected. | |
void | SetResizeDuringUpdate (bool resize) |
Sets the resize during update Created in NX8.0.0. | |
void | SetThreePoints (NXOpen::Point *point1, NXOpen::Point *point2, NXOpen::Point *point3, NXOpen::Features::DatumPlaneBuilder::UseArcLength useArcLength) |
Sets three different points. | |
NXOpen::Features::Feature * | UpdateFeature () |
Update the feature if the feature does not exist then create it. | |
![]() | |
NXOpen::DatumConstraint * | CreateConstraint () |
Creates a new empty constraint object. | |
std::vector < NXOpen::DatumConstraint * > | GetConstraints () |
Gets the contraint objects that define the positioning of this datum. | |
void | SetConstraints (const std::vector< NXOpen::DatumConstraint * > &constraints) |
Sets the contraint objects that define the positioning of this datum. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a datum plane feature builder.
Provides methods to create datum planes thru three points, point and direction and point on curve
To create a new instance of this class, use Features::FeatureCollection::CreateDatumPlaneBuilder
Created in NX3.0.0.
Specifies the alternate solution for a datum plane using point on curve method.
Specifies different constraint types of selected geometries.
ConstraintTypeUndefined |
Not defined. |
ConstraintTypeCoincident |
Coincident constraint. |
ConstraintTypeParallel |
Parallel constraint. |
ConstraintTypePerpendicular |
Perpendicular constraint. |
ConstraintTypeCenter |
Center constraint. |
ConstraintTypeTangent |
Tangent constraint. |
ConstraintTypeDistance |
Distance constraint. |
ConstraintTypeAngle |
Angle constraint. |
ConstraintTypeFrenet |
Frenet constraint. |
Specifies points for which arclength is to be used.
Percentage of arclength is used for points for which arclength option is not selected. Specified for creation of datum plane using thru three points method.
NXOpen::DatumPlane* NXOpen::Features::DatumPlaneBuilder::GetDatum | ( | ) |
The datum display object this is the feature output.
NXOpen::Plane* NXOpen::Features::DatumPlaneBuilder::GetPlane | ( | ) |
The plane is use to create the feature.
bool NXOpen::Features::DatumPlaneBuilder::OffsetInstance | ( | ) |
Returns the offset instance plane flag
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::DatumPlaneBuilder::ResizeDuringUpdate | ( | ) |
Returns the resize during update
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
void NXOpen::Features::DatumPlaneBuilder::SetCornerPoints | ( | const NXOpen::Point3d & | corner1, |
const NXOpen::Point3d & | corner2, | ||
const NXOpen::Point3d & | corner3, | ||
const NXOpen::Point3d & | corner4 | ||
) |
Sets corner points to builder
Created in NX7.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
corner1 | corner1 |
corner2 | corner2 |
corner3 | corner3 |
corner4 | corner4 |
void NXOpen::Features::DatumPlaneBuilder::SetFaceAndOffset | ( | NXOpen::Face * | face, |
double | offsetValue, | ||
const NXString & | expression | ||
) |
Sets one face object and offset
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
void NXOpen::Features::DatumPlaneBuilder::SetFaceAndOffset | ( | NXOpen::Face * | face, |
double | offsetValue, | ||
const char * | expression | ||
) |
Sets one face object and offset
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
void NXOpen::Features::DatumPlaneBuilder::SetFixedDatumPlane | ( | NXOpen::Features::DatumPlaneBuilder::FixedType | type | ) |
Sets type of fixed datum plane.
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
type | Indicates fixed datum plane type |
void NXOpen::Features::DatumPlaneBuilder::SetGeometryAndConstraints | ( | NXOpen::DisplayableObject * | geometry1, |
NXOpen::Features::DatumPlaneBuilder::ConstraintType | geometryConstraintType1, | ||
int | constraintAttribute1, | ||
double | constraintValue1, | ||
const NXString & | constraint1, | ||
NXOpen::DisplayableObject * | geometry2, | ||
NXOpen::Features::DatumPlaneBuilder::ConstraintType | geometryConstraintType2, | ||
int | constraintAttribute2, | ||
double | constraintValue2, | ||
const NXString & | constraint2 | ||
) |
Sets two different geometric objects.
Possible combinations are:
If first constrain is Through Curve, then the second contraint can be:
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
geometry1 | First geometric object |
geometryConstraintType1 | Constraint type of first geometry |
constraintAttribute1 | Constraint attribute value of first geometry |
constraintValue1 | Constraint value parameter of first geometry |
constraint1 | Constraint attached with first geometric object. Set to "0.0" in case value is not specified NOTE: The full Unicode character set is not supported for this parameter. |
geometry2 | Second geometric object |
geometryConstraintType2 | Constraint type of first geometry |
constraintAttribute2 | Constraint attribute value of second geometry |
constraintValue2 | Constraint value parameter of second geometry |
constraint2 | Constraint attached with second geometric object. Set to "0.0" in case value is not specified NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::DatumPlaneBuilder::SetGeometryAndConstraints | ( | NXOpen::DisplayableObject * | geometry1, |
NXOpen::Features::DatumPlaneBuilder::ConstraintType | geometryConstraintType1, | ||
int | constraintAttribute1, | ||
double | constraintValue1, | ||
const char * | constraint1, | ||
NXOpen::DisplayableObject * | geometry2, | ||
NXOpen::Features::DatumPlaneBuilder::ConstraintType | geometryConstraintType2, | ||
int | constraintAttribute2, | ||
double | constraintValue2, | ||
const char * | constraint2 | ||
) |
Sets two different geometric objects.
Possible combinations are:
If first constrain is Through Curve, then the second contraint can be:
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
geometry1 | First geometric object |
geometryConstraintType1 | Constraint type of first geometry |
constraintAttribute1 | Constraint attribute value of first geometry |
constraintValue1 | Constraint value parameter of first geometry |
constraint1 | Constraint attached with first geometric object. Set to "0.0" in case value is not specified NOTE: The full Unicode character set is not supported for this parameter. |
geometry2 | Second geometric object |
geometryConstraintType2 | Constraint type of first geometry |
constraintAttribute2 | Constraint attribute value of second geometry |
constraintValue2 | Constraint value parameter of second geometry |
constraint2 | Constraint attached with second geometric object. Set to "0.0" in case value is not specified NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::DatumPlaneBuilder::SetOffsetInstance | ( | bool | offsetInstance | ) |
Sets the offset instance plane flag
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
offsetInstance | offset instance |
void NXOpen::Features::DatumPlaneBuilder::SetPointAndDirection | ( | NXOpen::Point * | point, |
NXOpen::Direction * | direction | ||
) |
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve | ( | double | arcLength, |
const NXString & | constraint, | ||
NXOpen::Features::DatumPlaneBuilder::AlternateSolution | alternateSolution, | ||
NXOpen::Features::DatumPlaneBuilder::CurveOption | option, | ||
NXOpen::ICurve * | curve | ||
) |
Sets curve or edge and arc length
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
arcLength | Arc length |
constraint | Constraint expression. Usually same as arc_length NOTE: The full Unicode character set is not supported for this parameter. |
alternateSolution | Alternate solution |
option | Absolute distance or relative distance |
curve | curve or edge |
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve | ( | double | arcLength, |
const char * | constraint, | ||
NXOpen::Features::DatumPlaneBuilder::AlternateSolution | alternateSolution, | ||
NXOpen::Features::DatumPlaneBuilder::CurveOption | option, | ||
NXOpen::ICurve * | curve | ||
) |
Sets curve or edge and arc length
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
arcLength | Arc length |
constraint | Constraint expression. Usually same as arc_length NOTE: The full Unicode character set is not supported for this parameter. |
alternateSolution | Alternate solution |
option | Absolute distance or relative distance |
curve | curve or edge |
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve | ( | double | arcLength, |
const NXString & | constraint, | ||
NXOpen::Features::DatumPlaneBuilder::AlternateSolution | alternateSolution, | ||
NXOpen::Features::DatumPlaneBuilder::CurveOption | option, | ||
NXOpen::ICurve * | curve, | ||
NXOpen::Direction * | direction | ||
) |
Sets curve or edge and arc length
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve | ( | double | arcLength, |
const char * | constraint, | ||
NXOpen::Features::DatumPlaneBuilder::AlternateSolution | alternateSolution, | ||
NXOpen::Features::DatumPlaneBuilder::CurveOption | option, | ||
NXOpen::ICurve * | curve, | ||
NXOpen::Direction * | direction | ||
) |
Sets curve or edge and arc length
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve | ( | double | arcLength, |
const NXString & | constraint, | ||
NXOpen::Features::DatumPlaneBuilder::CurveOption | option, | ||
NXOpen::ICurve * | curve, | ||
NXOpen::DisplayableObject * | secondGeometry | ||
) |
Sets curve or edge object and arc length with other geometry selected.
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
arcLength | Arc length |
constraint | Constraint expression. Usually same as arc_length NOTE: The full Unicode character set is not supported for this parameter. |
option | Whether the absolute distance has been selected or relative |
curve | Curve or Edge object already created |
secondGeometry | Second geometric object |
void NXOpen::Features::DatumPlaneBuilder::SetPointOnCurve | ( | double | arcLength, |
const char * | constraint, | ||
NXOpen::Features::DatumPlaneBuilder::CurveOption | option, | ||
NXOpen::ICurve * | curve, | ||
NXOpen::DisplayableObject * | secondGeometry | ||
) |
Sets curve or edge object and arc length with other geometry selected.
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
arcLength | Arc length |
constraint | Constraint expression. Usually same as arc_length NOTE: The full Unicode character set is not supported for this parameter. |
option | Whether the absolute distance has been selected or relative |
curve | Curve or Edge object already created |
secondGeometry | Second geometric object |
void NXOpen::Features::DatumPlaneBuilder::SetResizeDuringUpdate | ( | bool | resize | ) |
Sets the resize during update
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
resize | resize during update |
void NXOpen::Features::DatumPlaneBuilder::SetThreePoints | ( | NXOpen::Point * | point1, |
NXOpen::Point * | point2, | ||
NXOpen::Point * | point3, | ||
NXOpen::Features::DatumPlaneBuilder::UseArcLength | useArcLength | ||
) |
Sets three different points.
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
point1 | First point |
point2 | Second point |
point3 | Third point |
useArcLength | Specify points which use arclength instead of percentage of arclength |
NXOpen::Features::Feature* NXOpen::Features::DatumPlaneBuilder::UpdateFeature | ( | ) |
Update the feature if the feature does not exist then create it.